# Generated by Django 5.0.1 on 2024-02-20 22:48

import registration.models
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("registration", "0011_remove_payment_registration_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="payment",
            name="token",
            field=models.CharField(
                default=registration.models.get_random_token,
                help_text="A token to authorize external users to make this payment.",
                max_length=32,
                verbose_name="token",
            ),
        ),
        migrations.AlterField(
            model_name="payment",
            name="type",
            field=models.CharField(
                blank=True,
                choices=[
                    ("", "No payment"),
                    ("helloasso", "Credit card"),
                    ("scholarship", "Scholarship"),
                    ("bank_transfer", "Bank transfer"),
                    ("other", "Other (please indicate)"),
                    ("free", "The tournament is free"),
                ],
                default="",
                max_length=16,
                verbose_name="type",
            ),
        ),
    ]
